> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Course

> Get a course by ID.

Use ?expand=true to include enriched data like enrollment_count and feedback stats.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/courses/{course_id}
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/courses/{course_id}:
    get:
      tags:
        - learn-courses
      summary: Get Course
      description: >-
        Get a course by ID.


        Use ?expand=true to include enriched data like enrollment_count and
        feedback stats.
      operationId: get_course_api_v1_learn_courses__course_id__get
      parameters:
        - name: course_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Course Id
        - name: expand
          in: query
          required: false
          schema:
            type: boolean
            description: Include enriched data (enrollment_count, feedback stats)
            default: false
            title: Expand
          description: Include enriched data (enrollment_count, feedback stats)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CourseDTO'
                  - $ref: '#/components/schemas/app__domain__course__CourseDetailDTO'
                title: Response Get Course Api V1 Learn Courses  Course Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CourseDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        s3_path:
          type: string
          title: S3 Path
        launch_file:
          type: string
          title: Launch File
        image_path:
          type: string
          title: Image Path
          default: course-images/default.webp
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - organization_id
        - s3_path
        - launch_file
        - title
        - created_at
        - updated_at
      title: CourseDTO
      description: |-
        Course data transfer object - returned from repositories.
        Represents a course as stored in the database.
    app__domain__course__CourseDetailDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        imagePath:
          type: string
          title: Imagepath
          default: course-images/default.webp
        enrollmentCount:
          type: integer
          title: Enrollmentcount
          default: 0
        feedbackCount:
          type: integer
          title: Feedbackcount
          default: 0
        averageRating:
          anyOf:
            - type: number
            - type: 'null'
          title: Averagerating
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
      type: object
      required:
        - id
        - title
        - description
        - createdAt
        - updatedAt
      title: CourseDetailDTO
      description: Course with enriched data for API responses (includes enrollment_count).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````